const tabQuery = browser.tabs.query({currentWindow: true});
const errHandler = document.getElementById("errorZone");

document.getElementById("toFind").onkeypress = function(e){
        searchTabs();
  }

document.addEventListener("click", (e) => {
    if (e.target.id != "toFind" && e.target.id != "listZone" ) {
        if (e.target.tagName == "IMG") {
            var parent = e.target.parentNode;
            loadSelTab(parseInt(parent.id));
        } else {
            loadSelTab(parseInt(e.target.id));
        }
    }
});

function logTabs(tabs) {
    var toFind = document.getElementById("toFind");
    var listZone = document.getElementById("listZone");
    var selection = [];

    listZone.innerHTML = "";
    for (let tab of tabs) {
        var title = tab.title;
        if (title.toLowerCase().includes(toFind.value.toLowerCase())) {
            selection.push(tab);
        }
    }
    if (selection.length > 1) {
        for (let sel of selection) {
            listZone.innerHTML += '<div id="' + sel.id + '" class="box">' +
                '<img class="thumbImg" src="' + sel.favIconUrl +
                '" /><p class="title">' + sel.title +'</p></div><br/>';
        }
        errHandler.style.display = "none";
        errHandler.innerHTML = "";
    } else {
        if (selection[0] != undefined) {
            errHandler.style.display = "none";
            errHandler.innerHTML = "";
            loadSelTab(selection[0].id);
        } else {
            errHandler.style.display = "block";
            errHandler.innerHTML = "Search not found...";
        }
    }
}

function loadSelTab(id) {
    browser.tabs.update(id, {
        active: true
    });
}

function searchTabs() { tabQuery.then(logTabs, onError); }
function onError(error) { console.log(`Error: ${error}`); }
